import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { ChainName, ChainsConfig, Contracts, TokenId } from "@wormhole-foundation/connect-sdk";
/**
 * @category Cosmwasm
 * Cosmwasm Contracts class. Contains methods for accessing ts interfaces for all available contracts
 */
export declare class CosmwasmContracts {
    protected _contracts: Map<ChainName, Contracts>;
    constructor(conf: ChainsConfig);
    getContracts(chain: ChainName): Contracts;
    /**
     * Returns core wormhole contract for the chain
     *
     * @returns An interface for the core contract, errors if not found
     */
    getCore(chain: ChainName, connection: CosmWasmClient): string;
    /**
     * Returns wormhole bridge contract for the chain
     *
     * @returns An interface for the bridge contract, errors if not found
     */
    getTokenBridge(chain: ChainName, connection: CosmWasmClient): string;
    /**
     * Returns wormhole NFT bridge contract for the chain
     *
     * @returns An interface for the NFT bridge contract, errors if not found
     */
    getNftBridge(chain: ChainName, connection: CosmWasmClient): string;
    getNativeWrapped(chain: ChainName, connection: CosmWasmClient): Promise<TokenId>;
}
//# sourceMappingURL=contracts.d.ts.map