"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.searchCosmosLogs = exports.toCosmwasmAddrString = void 0;
const connect_sdk_1 = require("@wormhole-foundation/connect-sdk");
const toCosmwasmAddrString = (addr) => typeof addr === "string"
    ? addr
    : (addr instanceof connect_sdk_1.UniversalAddress
        ? addr.toNative("Cosmwasm")
        : addr).unwrap();
exports.toCosmwasmAddrString = toCosmwasmAddrString;
// TODO: do >1 key at a time
const searchCosmosLogs = (key, logs) => {
    for (const log of logs) {
        for (const ev of log.events) {
            for (const attr of ev.attributes) {
                if (attr.key === key)
                    return attr.value;
            }
        }
    }
    return null;
};
exports.searchCosmosLogs = searchCosmosLogs;
//# sourceMappingURL=types.js.map