"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CosmwasmUnsignedTransaction = exports.buildExecuteMsg = exports.computeFee = void 0;
const stargate_1 = require("@cosmjs/stargate");
const constants_1 = require("./constants");
const tx_1 = require("cosmjs-types/cosmwasm/wasm/v1/tx");
const platform_1 = require("./platform");
function computeFee(chain) {
    const denom = platform_1.CosmwasmPlatform.getNativeDenom(chain);
    // TODO: dont hardcode ths stuff
    return (0, stargate_1.calculateFee)(1000000, `0.1${denom}`);
}
exports.computeFee = computeFee;
function buildExecuteMsg(sender, contract, msg, funds) {
    const obj = {
        typeUrl: constants_1.MSG_EXECUTE_CONTRACT_TYPE_URL,
        value: tx_1.MsgExecuteContract.fromPartial({
            sender: sender,
            contract: contract,
            msg: Buffer.from(JSON.stringify(msg)),
            funds,
        }),
    };
    return obj;
}
exports.buildExecuteMsg = buildExecuteMsg;
class CosmwasmUnsignedTransaction {
    transaction;
    network;
    chain;
    description;
    parallelizable;
    constructor(transaction, network, chain, description, parallelizable = false) {
        this.transaction = transaction;
        this.network = network;
        this.chain = chain;
        this.description = description;
        this.parallelizable = parallelizable;
    }
}
exports.CosmwasmUnsignedTransaction = CosmwasmUnsignedTransaction;
//# sourceMappingURL=unsignedTransaction.js.map