import { Address, UniversalAddress } from "@wormhole-foundation/connect-sdk";
declare global {
    namespace Wormhole {
        interface PlatformToNativeAddressMapping {
            Cosmwasm: CosmwasmAddress;
        }
    }
}
export declare class CosmwasmAddress implements Address {
    static readonly contractAddressByteSize = 32;
    static readonly accountAddressByteSize = 20;
    private readonly address;
    private readonly domain?;
    private readonly denom?;
    private readonly denomType?;
    constructor(address: string | Uint8Array | UniversalAddress);
    unwrap(): string;
    toString(): string;
    toNative(): this;
    toUint8Array(): Uint8Array;
    toUniversalAddress(): UniversalAddress;
    static isValidAddress(address: string): boolean;
    private static validAddressLength;
    equals(other: UniversalAddress): boolean;
}
//# sourceMappingURL=address.d.ts.map