import { ChainName, TokenId, TxHash, SignedTx, Network, PlatformToChains, WormholeMessageId } from "@wormhole-foundation/connect-sdk";
import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { CosmwasmPlatform } from "./platform";
import { IbcExtension, QueryClient } from "@cosmjs/stargate";
/**
 * @category CosmWasm
 */
export declare module CosmwasmUtils {
    function nativeTokenId(chain: ChainName): TokenId;
    function isSupportedChain(chain: ChainName): boolean;
    function isNativeTokenId(chain: ChainName, tokenId: TokenId): boolean;
    function getDecimals(chain: ChainName, rpc: CosmWasmClient, tokenId: TokenId | "native"): Promise<bigint>;
    function getBalance(chain: ChainName, rpc: CosmWasmClient, walletAddress: string, tokenId: TokenId | "native"): Promise<bigint | null>;
    function isNativeDenom(chain: ChainName, denom: string): boolean;
    function sendWait(chain: ChainName, rpc: CosmWasmClient, stxns: SignedTx[]): Promise<TxHash[]>;
    function parseTransaction(chain: ChainName, rpc: CosmWasmClient, txid: TxHash): Promise<WormholeMessageId[]>;
    function getCurrentBlock(rpc: CosmWasmClient): Promise<number>;
    function chainFromRpc(rpc: CosmWasmClient): Promise<[Network, PlatformToChains<CosmwasmPlatform.Type>]>;
    const asQueryClient: (rpc: CosmWasmClient) => QueryClient & IbcExtension;
}
//# sourceMappingURL=platformUtils.d.ts.map