import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { ChainAddress, GatewayTransferMsg, GatewayTransferWithPayloadMsg, IbcBridge, IbcMessageId, IbcTransferInfo, Network, TxHash, WormholeMessageId } from "@wormhole-foundation/connect-sdk";
import { IbcChannel } from "../constants";
import { CosmwasmContracts } from "../contracts";
import { CosmwasmChainName, UniversalOrCosmwasm } from "../types";
import { CosmwasmUnsignedTransaction } from "../unsignedTransaction";
export declare class CosmwasmIbcBridge implements IbcBridge<"Cosmwasm"> {
    readonly network: Network;
    readonly chain: CosmwasmChainName;
    readonly rpc: CosmWasmClient;
    readonly contracts: CosmwasmContracts;
    private gatewayAddress;
    private gatewayChannel?;
    private channelMap;
    private constructor();
    static fromProvider(rpc: CosmWasmClient, contracts: CosmwasmContracts): Promise<CosmwasmIbcBridge>;
    transfer(sender: UniversalOrCosmwasm, recipient: ChainAddress, token: UniversalOrCosmwasm | "native", amount: bigint): AsyncGenerator<CosmwasmUnsignedTransaction>;
    lookupTransferFromTx(txid: TxHash): Promise<IbcTransferInfo>;
    lookupMessageFromIbcMsgId(msg: IbcMessageId): Promise<WormholeMessageId>;
    private lookupTxFromIbcMsgId;
    lookupTransferFromIbcMsgId(msg: IbcMessageId): Promise<IbcTransferInfo>;
    lookupTransferFromMsg(msg: GatewayTransferMsg | GatewayTransferWithPayloadMsg): Promise<IbcTransferInfo>;
    private parseIbcTransferInfo;
    private fetchTransferInfo;
    fetchChannel(chain: CosmwasmChainName): Promise<IbcChannel | null>;
    private createUnsignedTx;
}
//# sourceMappingURL=ibc.d.ts.map