import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { Network, VAA, ChainAddress, TokenBridge, TxHash, TokenId, TokenTransferTransaction, NativeAddress } from "@wormhole-foundation/connect-sdk";
import { CosmwasmUnsignedTransaction } from "../unsignedTransaction";
import { CosmwasmContracts } from "../contracts";
import { CosmwasmChainName, UniversalOrCosmwasm } from "../types";
import { CosmwasmPlatform } from "../platform";
export declare class CosmwasmTokenBridge implements TokenBridge<"Cosmwasm"> {
    readonly network: Network;
    readonly chain: CosmwasmChainName;
    readonly rpc: CosmWasmClient;
    readonly contracts: CosmwasmContracts;
    private tokenBridge;
    private translator?;
    private constructor();
    static fromProvider(rpc: CosmWasmClient, contracts: CosmwasmContracts): Promise<CosmwasmTokenBridge>;
    isWrappedAsset(token: UniversalOrCosmwasm): Promise<boolean>;
    hasWrappedAsset(token: TokenId): Promise<boolean>;
    getWrappedAsset(token: TokenId): Promise<NativeAddress<CosmwasmPlatform.Type>>;
    getOriginalAsset(token: UniversalOrCosmwasm): Promise<TokenId>;
    isTransferCompleted(vaa: VAA<"Transfer"> | VAA<"TransferWithPayload">): Promise<boolean>;
    createAttestation(token: UniversalOrCosmwasm | "native", payer?: UniversalOrCosmwasm): AsyncGenerator<CosmwasmUnsignedTransaction>;
    submitAttestation(vaa: VAA<"AttestMeta">, payer?: UniversalOrCosmwasm): AsyncGenerator<CosmwasmUnsignedTransaction>;
    transfer(sender: UniversalOrCosmwasm, recipient: ChainAddress, token: UniversalOrCosmwasm | "native", amount: bigint, payload?: Uint8Array): AsyncGenerator<CosmwasmUnsignedTransaction>;
    redeem(sender: UniversalOrCosmwasm, vaa: VAA<"Transfer"> | VAA<"TransferWithPayload">, unwrapNative?: boolean): AsyncGenerator<CosmwasmUnsignedTransaction>;
    parseTransactionDetails(txid: TxHash): Promise<TokenTransferTransaction[]>;
    getWrappedNative(): Promise<NativeAddress<CosmwasmPlatform.Type>>;
    private createUnsignedTx;
}
//# sourceMappingURL=tokenBridge.d.ts.map