import { Coin, EncodeObject } from "@cosmjs/proto-signing";
import { StdFee } from "@cosmjs/stargate";
import { UnsignedTransaction, ChainName, Network } from "@wormhole-foundation/connect-sdk";
export interface CosmwasmTransaction {
    fee: StdFee;
    msgs: EncodeObject[];
    memo: string;
}
export declare function computeFee(chain: ChainName): StdFee;
export declare function buildExecuteMsg(sender: string, contract: string, msg: Record<string, any>, funds?: Coin[]): EncodeObject;
export declare class CosmwasmUnsignedTransaction implements UnsignedTransaction {
    readonly transaction: CosmwasmTransaction;
    readonly network: Network;
    readonly chain: ChainName;
    readonly description: string;
    readonly parallelizable: boolean;
    constructor(transaction: CosmwasmTransaction, network: Network, chain: ChainName, description: string, parallelizable?: boolean);
}
//# sourceMappingURL=unsignedTransaction.d.ts.map