import { calculateFee } from "@cosmjs/stargate";
import { MSG_EXECUTE_CONTRACT_TYPE_URL } from "./constants";
import { MsgExecuteContract } from "cosmjs-types/cosmwasm/wasm/v1/tx";
import { CosmwasmPlatform } from "./platform";
export function computeFee(chain) {
    const denom = CosmwasmPlatform.getNativeDenom(chain);
    // TODO: dont hardcode ths stuff
    return calculateFee(1000000, `0.1${denom}`);
}
export function buildExecuteMsg(sender, contract, msg, funds) {
    const obj = {
        typeUrl: MSG_EXECUTE_CONTRACT_TYPE_URL,
        value: MsgExecuteContract.fromPartial({
            sender: sender,
            contract: contract,
            msg: Buffer.from(JSON.stringify(msg)),
            funds,
        }),
    };
    return obj;
}
export class CosmwasmUnsignedTransaction {
    transaction;
    network;
    chain;
    description;
    parallelizable;
    constructor(transaction, network, chain, description, parallelizable = false) {
        this.transaction = transaction;
        this.network = network;
        this.chain = chain;
        this.description = description;
        this.parallelizable = parallelizable;
    }
}
//# sourceMappingURL=unsignedTransaction.js.map